# generated by cabal-rpm-0.11.2
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name cryptohash-md5
%global pkgver %{pkg_name}-%{version}

%bcond_with tests

Name:           ghc-%{pkg_name}
Version:        0.11.100.1
Release:        4%{?dist}
Summary:        Fast, pure and practical MD5 implementation

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
%if %{with tests}
BuildRequires:  ghc-base16-bytestring-devel
BuildRequires:  ghc-pureMD5-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
BuildRequires:  ghc-tasty-quickcheck-devel
%endif
# End cabal-rpm deps

%description
A practical incremental and one-pass, pure API to the MD5 hash algorithm
(including HMAC support) with performance close to the fastest implementations
available in other languages.

NOTE: This package has been forked off 'cryptohash-0.11.7' because the
'cryptohash' package has been deprecated and so this package continues to
satisfy the need for a lightweight package providing the MD5 hash algorithm
without any dependencies on packages other than 'base' and 'bytestring'.

Consequently, this package can be used as a drop-in replacement for
cryptohash's "Crypto.Hash.MD5" module, though with a clearly smaller footprint.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkgver}


%build
%ghc_lib_build


%install
%ghc_lib_install


%check
%cabal_test


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%license LICENSE


%files devel -f %{name}-devel.files
%doc changelog.md


%changelog
* Thu Oct  5 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.11.100.1-4
- Bump release to be newer than existing bundled version.

* Wed Oct  4 2017 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.11.100.1-1
- spec file generated by cabal-rpm-0.11.2
